import java.awt.Button;
import java.awt.Choice;
import java.awt.Color;
import java.awt.Container;
import java.awt.LayoutManager;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

public class PTYX extends JFrame implements ActionListener {

   private static final long serialVersionUID = 1L;
   MyCanvas myCanvas;
   JPanel panelNorth;
   JPanel panelPreview;
   Button start = new Button("开始");
   Button preview;
   Button set;
   Container container = this.getContentPane();
   ImageIcon imagels;


   public PTYX() {
      this.start.addActionListener(this);
      this.preview = new Button("预览");
      this.preview.addActionListener(this);
      this.set = new Button("设置");
      this.set.addActionListener(this);
      this.panelPreview = new JPanel();
      this.panelPreview.setLayout((LayoutManager)null);
      this.imagels = new ImageIcon("images//pt" + MyCanvas.pictureID + ".jpg");
      this.imagels.setImage(this.imagels.getImage().getScaledInstance(300, 300, 1));
      JLabel label = new JLabel(this.imagels);
      label.setBounds(0, 0, 300, 300);
      this.panelPreview.add(label);
      this.panelNorth = new JPanel();
      this.panelNorth.setBackground(Color.red);
      this.panelNorth.add(this.start);
      this.panelNorth.add(this.preview);
      this.panelNorth.add(this.set);
      this.myCanvas = new MyCanvas();
      this.container.add(this.myCanvas, "Center");
      this.container.add(this.panelNorth, "North");
      this.setTitle("拼图小游戏-邓奇超 2013-12-9");
      this.setLocation(300, 200);
      this.setSize(308, 365);
      this.setResizable(false);
      this.setVisible(true);
      this.setDefaultCloseOperation(3);
   }

   public static void main(String[] args) {
      new PTYX();
   }

   public void actionPerformed(ActionEvent arg0) {
      Button button = (Button)arg0.getSource();
      if(button == this.start) {
         this.myCanvas.Start();
      } else if(button == this.preview) {
         if(button.getLabel() == "预览") {
            this.container.remove(this.myCanvas);
            this.container.add(this.panelPreview);
            this.panelPreview.updateUI();
            this.container.repaint();
            button.setLabel("返回");
         } else {
            this.container.remove(this.panelPreview);
            this.container.add(this.myCanvas);
            this.container.repaint();
            button.setLabel("预览");
         }
      } else if(button == this.set) {
         Choice pic = new Choice();
         pic.add("考拉");
         pic.add("灯塔");
         pic.add("郁金香");
         pic.add("菊花");
         pic.add("企鹅");
         pic.add("八仙花");
         int i = JOptionPane.showConfirmDialog(this, pic, "选择图片", 2);
         if(i == 0) {
            MyCanvas.pictureID = pic.getSelectedIndex() + 1;
            this.myCanvas.reLoadPictrue();
            this.imagels = new ImageIcon("images//pt" + MyCanvas.pictureID + ".jpg");
            this.imagels.setImage(this.imagels.getImage().getScaledInstance(300, 300, 1));
            JLabel label = new JLabel(this.imagels);
            label.setBounds(0, 0, 300, 300);
            this.panelPreview.removeAll();
            this.panelPreview.add(label);
            this.panelPreview.repaint();
         }
      }

   }
}
